#include once "fltk-c.bi"

'Test of:
' Fl_WindowSetBorder() http://www.fltk.org/doc-1.3/classFl__Window.html#a72f5733f13cb6d8b646f1e7ffcd92333
' Fl_AddTimeout()      http://www.fltk.org/doc-1.3/classFl.html#a23e63eb7cec3a27fa360e66c6e2b2e52

sub TimeoutHandler cdecl (userdata as any ptr)
  Fl_WindowHide userdata
end sub

dim as Fl_Window ptr win = Fl_WindowNew(340,200)
Fl_WindowSetBorder win,0
Fl_BoxNew(20,40,300,100,"a window without decoration closed in 5 seconds")
Fl_AddTimeout 5.0, @TimeoutHandler, win

Fl_WindowShow win
Fl_Run